curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_clients/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Recupera varios objetos de clientes de partners en una sola solicitud especificando sus ID. Este punto de terminación es útil para acceder eficazmente a los datos de varios clientes a la vez, especialmente cuando se integra con sistemas de terceros.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/partner_clients/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
Si se devolverán solo los resultados que se han archivado.
Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.
Mostrar atributos secundarios
Key-value pairs for setting properties for the new object.
Key-value pairs for setting properties for the new object and their histories.
El nombre de una propiedad cuyos valores son únicos para este objeto.
successful operation
A public object batch response object
The timestamp when the batch processing was completed, in ISO 8601 format.
Mostrar atributos secundarios
The timestamp when the batch processing began, in ISO 8601 format.
The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE"
CANCELED, COMPLETE, PENDING, PROCESSING Mostrar atributos secundarios
An object containing relevant links related to the batch request.
Mostrar atributos secundarios
The total number of errors that occurred during the batch operation.
The timestamp when the batch request was initially made, in ISO 8601 format.